import java.util.List;

import org.opencv.core.Mat;
import org.opencv.core.MatOfDouble;


public class Dataset {
	private List<Picture> pictures;
	
	private Mat cameraMatrix;
	private MatOfDouble distortionMatrix;

	public Dataset(List<Picture> pictures, Mat cameraMatrix,
			MatOfDouble distortionMatrix) {
		this.pictures = pictures;
		this.cameraMatrix = cameraMatrix;
		this.distortionMatrix = distortionMatrix;
	}

	public List<Picture> getPictures() {
		return pictures;
	}
	
	public boolean addPicture(Picture picture){
		return pictures.add(picture);
	}
	
	public Mat getCameraMatrix() {
		return cameraMatrix;
	}
	
	public MatOfDouble getDistortionMatrix() {
		return distortionMatrix;
	}
	
}
