package head_tracker;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.util.List;

import org.opencv.core.Mat;

import de.tu_darmstadt.fsr.headtracker.TrainingData;


public class LocalHeadTracker extends HeadTracker{
	@Override
	protected TrainingData loadTrainedLEDData() {
		try {
			ObjectInputStream in = new ObjectInputStream(new FileInputStream("ressources/trained-led-data"));
			return (TrainingData) in.readObject();
		} catch (ClassNotFoundException | IOException e) {
			throw new RuntimeException(e.getMessage(), e);
		}
	}
	
	public TrainingData getTrainingData(){
		return trainedData;
	}
	
	public List<ColoredImagePatchMatch> getDetectedLEDs(Mat imageBGR){
		return computeLEDDetection(imageBGR);
	}

	@Override
	protected void init(Object... params) {}

}
